/*******************************************************************************
* FILE NAME: clock_routines.h
*
* DESCRIPTION:
*  Clock time keeping stuff  
*
*
*******************************************************************************/


#ifndef __clock_routines_h_
#define __clock_routines_h_

#ifdef VARIABLE_DECLARE
  volatile unsigned long Clockms;	// 1 millisecond clock
  volatile unsigned long Clockds;	// tenth of a second clock
  volatile unsigned long Clocksec; // 1 second clock
#else
  extern volatile unsigned long Clockms;
  extern volatile unsigned long Clockds;
  extern volatile unsigned long Clocksec;
#endif

void Initialize_Clock(void);

#endif
